Package io.spring

# Class TaskProcessorProperties

java.lang.Object
io.spring.TaskProcessorProperties

@ConfigurationProperties public class TaskProcessorProperties extends Object

Author:
  Glenn Renfro

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskProcessorProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApplicationName()`
  `String`
  `getDataSourceDriverClassName()`
  `String`
  `getDataSourcePassword()`
  `String`
  `getDataSourceUrl()`
  `String`
  `getDataSourceUserName()`
  `String`
  `getUri()`
  `void`
  `setApplicationName(String applicationName)`
  `void`
  `setDataSourceDriverClassName(String dataSourceDriverClassName)`
  `void`
  `setDataSourcePassword(String dataSourcePassword)`
  `void`
  `setDataSourceUrl(String dataSourceUrl)`
  `void`
  `setDataSourceUserName(String dataSourceUserName)`
  `void`
  `setUri(String uri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TaskProcessorProperties

    public TaskProcessorProperties()

- ## Method Details

  - ### getDataSourceUrl

    public String getDataSourceUrl()

  - ### setDataSourceUrl

    public void setDataSourceUrl(String dataSourceUrl)

  - ### getDataSourceDriverClassName

    public String getDataSourceDriverClassName()

  - ### setDataSourceDriverClassName

    public void setDataSourceDriverClassName(String dataSourceDriverClassName)

  - ### getDataSourceUserName

    public String getDataSourceUserName()

  - ### setDataSourceUserName

    public void setDataSourceUserName(String dataSourceUserName)

  - ### getDataSourcePassword

    public String getDataSourcePassword()

  - ### setDataSourcePassword

    public void setDataSourcePassword(String dataSourcePassword)

  - ### getUri

    public String getUri()

  - ### setUri

    public void setUri(String uri)

  - ### getApplicationName

    public String getApplicationName()

  - ### setApplicationName

    public void setApplicationName(String applicationName)